## libplayer 1.0.0

=== Makefile ===
ifeq (,$(wildcard config.mak))
$(error "config.mak is not present, run configure !")
endif
include config.mak

PKGCONFIG_DIR = $(libdir)/pkgconfig
PKGCONFIG_FILE = libplayer.pc

PLREGTEST = libplayer-regtest
PLREGTEST_SRCS = libplayer-regtest.c
PLTEST = libplayer-test
PLTEST_SRCS = libplayer-test.c
PLTESTVDR = libplayer-testvdr
PLTESTVDR_SRCS = libplayer-testvdr.c

CFLAGS += -Isrc
LDFLAGS += -Lsrc -lplayer -lpthread

ifeq ($(BUILD_STATIC),yes)
  LDFLAGS += $(EXTRALIBS)
endif

DISTFILE = libplayer-$(LIBPLAYER_VERSION).tar.bz2

EXTRADIST = \
	AUTHORS \
	ChangeLog \
	configure \
	COPYING \
	README \
	stats.sh \

SUBDIRS = \
	bindings \
	bindings/python \
	DOCS \
	samples \
	src \

all: lib test docs bindings

lib:
	$(MAKE) -C src

test: lib
	$(CC) $(PLREGTEST_SRCS) $(OPTFLAGS) $(CFLAGS) $(EXTRACFLAGS) $(LDFLAGS) -o $(PLREGTEST)
	$(CC) $(PLTEST_SRCS) $(OPTFLAGS) $(CFLAGS) $(EXTRACFLAGS) $(LDFLAGS) -o $(PLTEST)
	$(CC) $(PLTESTVDR_SRCS) $(OPTFLAGS) $(CFLAGS) $(EXTRACFLAGS) $(LDFLAGS) -o $(PLTESTVDR)

docs:
	$(MAKE) -C DOCS

docs-clean:
	$(MAKE) -C DOCS clean

bindings: lib
	$(MAKE) -C bindings

bindings-clean:
	$(MAKE) -C bindings clean

clean: bindings-clean
	$(MAKE) -C src clean
	rm -f $(PLREGTEST)
	rm -f $(PLTEST)
	rm -f $(PLTESTVDR)

distclean: clean docs-clean
	rm -f config.log
	rm -f config.mak
	rm -f $(DISTFILE)
	rm -f $(PKGCONFIG_FILE)

install: install-lib install-pkgconfig install-test install-docs install-bindings

install-lib: lib
	$(MAKE) -C src install

install-pkgconfig: $(PKGCONFIG_FILE)
	$(INSTALL) -d "$(PKGCONFIG_DIR)"
	$(INSTALL) -m 644 $< "$(PKGCONFIG_DIR)"

install-test: test
	$(INSTALL) -d $(bindir)
	$(INSTALL) -c -m 755 $(PLREGTEST) $(bindir)
	$(INSTALL) -c -m 755 $(PLTEST) $(bindir)
	$(INSTALL) -c -m 755 $(PLTESTVDR) $(bindir)

install-docs: docs
	$(MAKE) -C DOCS install

install-bindings:
	$(MAKE) -C bindings install

uninstall: uninstall-lib uninstall-pkgconfig uninstall-test uninstall-docs

uninstall-lib:
	$(MAKE) -C src uninstall

uninstall-pkgconfig:
	rm -f $(PKGCONFIG_DIR)/$(PKGCONFIG_FILE)

uninstall-test:
	rm -f $(bindir)/$(PLREGTEST)
	rm -f $(bindir)/$(PLTEST)
	rm -f $(bindir)/$(PLTESTVDR)

uninstall-docs:
	$(MAKE) -C DOCS uninstall

.PHONY: *clean *install* docs binding*

dist:
	-$(RM) $(DISTFILE)
	dist=$(shell pwd)/libplayer-$(LIBPLAYER_VERSION) && \
	for subdir in . $(SUBDIRS); do \
		mkdir -p "$$dist/$$subdir"; \
		$(MAKE) -C $$subdir dist-all DIST="$$dist/$$subdir"; \
	done && \
	tar cjf $(DISTFILE) libplayer-$(LIBPLAYER_VERSION)
	-$(RM) -rf libplayer-$(LIBPLAYER_VERSION)

dist-all:
	cp $(EXTRADIST) $(PLREGTEST_SRCS) $(PLTEST_SRCS) $(PLTESTVDR_SRCS) Makefile $(DIST)

.PHONY: dist dist-all

=== DOCS/Makefile ===
ifeq (,$(wildcard ../config.mak))
$(error "../config.mak is not present, run configure !")
endif
include ../config.mak

EXTRADIST = \
	Doxyfile \
	event_handler-supervisor.txt \
	libplayer-internals.png \

all: doxygen

doxygen:
ifeq ($(DOC),yes)
ifeq (,$(wildcard doxygen))
	PROJECT_NUMBER="$(LIBPLAYER_VERSION)" doxygen Doxyfile
endif
endif

clean:
	rm -rf doxygen

install:
ifeq ($(DOC),yes)
	if [ -d doxygen/html ]; then \
		$(INSTALL) -d $(docdir)/libplayer; \
		$(INSTALL) -c -m 755 doxygen/html/* $(docdir)/libplayer; \
	fi
endif

uninstall:
	rm -rf $(docdir)/libplayer

dist-all:
	cp $(EXTRADIST) Makefile $(DIST)

.PHONY: clean dist-all doxygen *install

=== src/Makefile ===
ifeq (,$(wildcard ../config.mak))
$(error "../config.mak is not present, run configure !")
endif
include ../config.mak

ifeq ($(BUILD_STATIC),yes)
  BUILD_RULES += lib_static
endif
ifeq ($(BUILD_SHARED),yes)
  BUILD_RULES += lib_shared
endif

LIBNAME = libplayer
STATIC_LIBNAME = ${LIBNAME}.a
SHARED_LIBNAME = ${LIBNAME}.so
SHARED_LIBNAME_VERSION = ${SHARED_LIBNAME}.${LIBPLAYER_VERSION}
SHARED_LIBNAME_MAJOR = $(SHARED_LIBNAME).$(shell echo $(LIBPLAYER_VERSION) | cut -f1 -d.)

SRCS = \
	player.c \
	player_internal.c \
	mrl.c \
	mrl_internal.c \
	playlist.c \
	logs.c \
	fifo_queue.c \
	fs_utils.c \
	parse_utils.c \
	event.c \
	event_handler.c \
	supervisor.c \
	wrapper_dummy.c

EXTRADIST = \
	event.h \
	event_handler.h \
	fifo_queue.h \
	fs_utils.h \
	logs.h \
	parse_utils.h \
	player.h \
	player_internals.h \
	playlist.h \
	supervisor.h \
	wrapper_dummy.h \
	wrapper_gstreamer.h \
	wrapper_mplayer.h \
	wrapper_vlc.h \
	wrapper_xine.h \
	x11_common.h \

SRCS-$(X11)			+= x11_common.c
SRCS-$(WRAPPER_MPLAYER)		+= wrapper_mplayer.c
SRCS-$(WRAPPER_VLC)		+= wrapper_vlc.c
SRCS-$(WRAPPER_XINE)		+= wrapper_xine.c
SRCS-$(WRAPPER_GSTREAMER)	+= wrapper_gstreamer.c

SRCS += $(SRCS-yes)

OBJS = $(SRCS:.c=.o)

.SUFFIXES: .c .o

all: depend $(BUILD_RULES)

.c.o:
	$(CC) -c $(CFLAGS) $(EXTRACFLAGS) $(OPTFLAGS) -o $@ $<

lib_static: $(OBJS)
	$(AR) r $(STATIC_LIBNAME) $(OBJS)
	$(RANLIB) $(STATIC_LIBNAME)

lib_shared: $(OBJS)
	$(CC) -shared -Wl,-soname,$(SHARED_LIBNAME_MAJOR) \
	  $(OBJS) $(LDFLAGS) $(EXTRALIBS) -o $(SHARED_LIBNAME_VERSION)
	$(LN) -sf $(SHARED_LIBNAME_VERSION) $(SHARED_LIBNAME_MAJOR)
	$(LN) -sf $(SHARED_LIBNAME_MAJOR) $(SHARED_LIBNAME)

clean:
	rm -f *.o *.a *.so*
	rm -f .depend

install: $(BUILD_RULES)
	$(INSTALL) -d $(libdir)
	[ $(BUILD_STATIC) = yes ] && $(INSTALL) -c $(STATIC_LIBNAME) $(libdir); \
	if [ $(BUILD_SHARED) = yes ]; then \
	  $(INSTALL) -c $(SHARED_LIBNAME_VERSION) $(libdir); \
	  $(LN) -sf $(SHARED_LIBNAME_VERSION) $(libdir)/$(SHARED_LIBNAME_MAJOR); \
	  $(LN) -sf $(SHARED_LIBNAME_MAJOR) $(libdir)/$(SHARED_LIBNAME); \
	fi
	$(INSTALL) -d $(includedir)
	$(INSTALL) -c -m 644 player.h $(includedir)

uninstall:
	rm -f $(libdir)/$(STATIC_LIBNAME)
	rm -f $(libdir)/$(SHARED_LIBNAME)*
	rm -f $(includedir)/player.h

depend:
	$(CC) -MM $(CFLAGS) $(EXTRACFLAGS) $(SRCS) 1>.depend

.PHONY: clean depend
.PHONY: uninstall

dist-all:
	cp $(EXTRADIST) $(SRCS) Makefile $(DIST)

.PHONY: dist-all

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
libplayer (1.0.0-2) unstable; urgency=low

  * Add dev packages referenced by pkgconfig to libplayer-dev depends

 -- Davide Cavalca <davide@geexbox.org>  Mon, 04 Jan 2010 15:47:27 +0100

libplayer (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #560048)

 -- Davide Cavalca <davide@geexbox.org>  Thu, 10 Dec 2009 12:03:55 +0100

=== debian/control ===
Source: libplayer
Priority: extra
Maintainer: Davide Cavalca <davide@geexbox.org>
Build-Depends: debhelper (>= 7.0.50), pkg-config, libx11-dev, libxine-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.8.3
Section: libs
Homepage: http://libplayer.geexbox.org/
Vcs-Hg: http://hg.geexbox.org/libplayer
Vcs-Browser: http://hg.geexbox.org/libplayer/summary

Package: libplayer-dev
Section: libdevel
Architecture: any
Depends: libplayer1 (= ${binary:Version}), libxine-dev, libx11-dev, ${misc:Depends}
Suggests: libplayer1-dbg (= ${binary:Version}), libplayer-doc (= ${binary:Version})
Description: a multimedia A/V abstraction layer API -- development files
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.
 .
 This package contains headers and libraries for developing software
 that makes use of libplayer.

Package: libplayer1-bin
Section: misc
Architecture: any
Depends: libplayer1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: test utilities for libplayer
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.
 .
 This package contains some test utilities to execise libplayer capabilities.

Package: libplayer1
Architecture: any
Recommends: mplayer
Depends: ${shlibs:Depends}, ${misc:Depends}, libxine1-x | libxine2-x
Suggests: libplayer1-bin (= ${binary:Version}), libxine2-vdr
Description: a multimedia A/V abstraction layer API
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.

Package: libplayer1-dbg
Architecture: any
Section: debug
Depends: libplayer1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libplayer1
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.
 .
 This package contains the debugging symbols for libplayer1.

Package: libplayer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libplayer-dev
Description: developer documentation for libplayer
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.
 .
 This package contains developer documentation for libplayer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS += -fPIC

CONFIGURE_OPTS = --prefix=/usr --disable-strip --enable-doc --enable-mplayer --enable-xine --disable-gstreamer --disable-vlc

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CONFIGURE_OPTS += --disable-optimize
else
        CONFIGURE_OPTS += 
endif

%:
	dh $@

override_dh_auto_configure:
	./configure $(CONFIGURE_OPTS)

override_dh_strip:
	dh_strip --dbg-package=libplayer1-dbg

.PHONY: override_dh_auto_configure override_dh_strip

## libplayer 2.0.1

=== Makefile ===
ifeq (,$(wildcard config.mak))
$(error "config.mak is not present, run configure !")
endif
include config.mak

PKGCONFIG_DIR = $(libdir)/pkgconfig
PKGCONFIG_FILE = libplayer.pc

PLTEST = libplayer-test
PLTEST_SRCS = libplayer-test.c
PLTEST_OBJS = $(PLTEST_SRCS:.c=.o)
PLTEST_MAN = $(PLTEST).1
PLTESTVDR = libplayer-testvdr
PLTESTVDR_SRCS = libplayer-testvdr.c
PLTESTVDR_OBJS = $(PLTESTVDR_SRCS:.c=.o)
PLTESTVDR_MAN = $(PLTESTVDR).1

APPS_CPPFLAGS = -Isrc $(CFG_CPPFLAGS) $(CPPFLAGS)
APPS_LDFLAGS = -Lsrc -lplayer $(CFG_LDFLAGS) $(LDFLAGS)

MANS = $(PLTEST_MAN) $(PLTESTVDR_MAN)

ifeq ($(BUILD_STATIC),yes)
ifeq ($(BUILD_SHARED),no)
  APPS_LDFLAGS += $(EXTRALIBS)
endif
endif

DISTFILE = libplayer-$(VERSION).tar.bz2

EXTRADIST = \
	AUTHORS \
	ChangeLog \
	configure \
	COPYING \
	README \
	stats.sh \
	TODO \
	$(MANS) \

SUBDIRS = \
	bindings \
	bindings/python \
	DOCS \
	samples \
	src \

.SUFFIXES: .c .o

all: lib apps docs bindings

.c.o:
	$(CC) -c $(OPTFLAGS) $(CFLAGS) $(APPS_CPPFLAGS) -o $@ $<

config.mak: configure
	@echo "############################################################"
	@echo "####### Please run ./configure again - it's changed! #######"
	@echo "############################################################"

lib:
	$(MAKE) -C src

$(PLTEST): $(PLTEST_OBJS)
	$(CC) $(PLTEST_OBJS) $(APPS_LDFLAGS) -o $(PLTEST)
$(PLTESTVDR): $(PLTESTVDR_OBJS)
	$(CC) $(PLTESTVDR_OBJS) $(APPS_LDFLAGS) -o $(PLTESTVDR)

apps-dep:
	$(CC) -MM $(CFLAGS) $(APPS_CPPFLAGS) $(PLTEST_SRCS) 1>.depend
	$(CC) -MM $(CFLAGS) $(APPS_CPPFLAGS) $(PLTESTVDR_SRCS) 1>>.depend

apps-all: $(PLTEST) $(PLTESTVDR)

apps: apps-dep lib
	$(MAKE) apps-all

docs:
	$(MAKE) -C DOCS

docs-clean:
	$(MAKE) -C DOCS clean

bindings: lib
	$(MAKE) -C bindings

bindings-clean:
	$(MAKE) -C bindings clean

clean: bindings-clean
	$(MAKE) -C src clean
	rm -f *.o
	rm -f $(PLTEST)
	rm -f $(PLTESTVDR)
	rm -f .depend

distclean: clean docs-clean
	rm -f config.log
	rm -f config.mak
	rm -f $(DISTFILE)
	rm -f $(PKGCONFIG_FILE)

install: install-lib install-pkgconfig install-apps install-docs install-man install-bindings

install-lib: lib
	$(MAKE) -C src install

install-pkgconfig: $(PKGCONFIG_FILE)
	$(INSTALL) -d "$(PKGCONFIG_DIR)"
	$(INSTALL) -m 644 $< "$(PKGCONFIG_DIR)"

install-apps: apps
	$(INSTALL) -d $(bindir)
	$(INSTALL) -c -m 755 $(PLTEST) $(bindir)
	$(INSTALL) -c -m 755 $(PLTESTVDR) $(bindir)

install-docs: docs
	$(MAKE) -C DOCS install

install-man: $(MANS)
	for m in $(MANS); do \
	  section=`echo $$m | sed -e 's/^.*\\.//'`; \
	  $(INSTALL) -d $(mandir)/man$$section; \
	  $(INSTALL) -m 644 $$m $(mandir)/man$$section; \
	done

install-bindings:
	$(MAKE) -C bindings install

uninstall: uninstall-lib uninstall-pkgconfig uninstall-apps uninstall-docs uninstall-man

uninstall-lib:
	$(MAKE) -C src uninstall

uninstall-pkgconfig:
	rm -f $(PKGCONFIG_DIR)/$(PKGCONFIG_FILE)

uninstall-apps:
	rm -f $(bindir)/$(PLTEST)
	rm -f $(bindir)/$(PLTESTVDR)

uninstall-docs:
	$(MAKE) -C DOCS uninstall

uninstall-man:
	for m in $(MANS); do \
	  section=`echo $$m | sed -e 's/^.*\\.//'`; \
	  rm -f $(mandir)/man$$section/$$m; \
	done

.PHONY: *clean *install* docs binding* apps*

dist:
	-$(RM) $(DISTFILE)
	dist=$(shell pwd)/libplayer-$(VERSION) && \
	for subdir in . $(SUBDIRS); do \
		mkdir -p "$$dist/$$subdir"; \
		$(MAKE) -C $$subdir dist-all DIST="$$dist/$$subdir"; \
	done && \
	tar cjf $(DISTFILE) libplayer-$(VERSION)
	-$(RM) -rf libplayer-$(VERSION)

dist-all:
	cp $(EXTRADIST) $(PLTEST_SRCS) $(PLTESTVDR_SRCS) Makefile $(DIST)

.PHONY: dist dist-all

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== DOCS/Makefile ===
--- 
+++ 
@@ -6,14 +6,17 @@
 EXTRADIST = \
 	Doxyfile \
 	event_handler-supervisor.txt \
+	libplayer.png \
+	libplayer.svg \
 	libplayer-internals.png \
+	libplayer-internals.svg \
 
 all: doxygen
 
 doxygen:
 ifeq ($(DOC),yes)
 ifeq (,$(wildcard doxygen))
-	PROJECT_NUMBER="$(LIBPLAYER_VERSION)" doxygen Doxyfile
+	PROJECT_NUMBER="$(VERSION)" doxygen Doxyfile
 endif
 endif

=== bindings/Makefile ===
ifeq (,$(wildcard ../config.mak))
$(error "../config.mak is not present, run configure !")
endif
include ../config.mak

all: binding-python

clean: binding-python-clean

install: binding-python-install

binding-python:
	$(MAKE) -C python

binding-python-clean:
	$(MAKE) -C python clean

binding-python-install:
	$(MAKE) -C python install

dist-all:
	cp Makefile $(DIST)

.PHONY: clean dist-all install binding*

=== samples/Makefile ===
ifeq (,$(wildcard ../config.mak))
$(error "../config.mak is not present, run configure !")
endif
include ../config.mak

EXTRADIST = \
	audio.ogg \
	background.avi \

dist-all:
	cp $(EXTRADIST) Makefile $(DIST)

.PHONY: dist-all

=== src/Makefile ===
ifeq (,$(wildcard ../config.mak))
$(error "../config.mak is not present, run configure !")
endif
include ../config.mak

LIBNAME = libplayer
STATIC_LIBNAME = $(LIBNAME).a
SHARED_LIBNAME = $(LIBNAME).so
SHARED_LIBNAME_VERSION = $(SHARED_LIBNAME).$(VERSION)
SHARED_LIBNAME_MAJOR = $(SHARED_LIBNAME).$(shell echo $(VERSION) | cut -f1 -d.)
SHARED_LIBNAME_FLAGS = -shared -Wl,-soname,$(SHARED_LIBNAME_MAJOR)

ifeq ($(BUILD_STATIC),yes)
  BUILD_RULES += lib_static
endif
ifeq ($(BUILD_SHARED),yes)
  BUILD_RULES += lib_shared
  ifeq ($(BUILD_DYLIB),yes)
    SHARED_LIBNAME         = $(LIBNAME).dylib
    SHARED_LIBNAME_VERSION = $(LIBNAME).$(VERSION).dylib
    SHARED_LIBNAME_MAJOR   = $(LIBNAME).$(shell echo $(VERSION) | cut -f1 -d.).dylib
    SHARED_LIBNAME_FLAGS   = -dynamiclib -Wl,-headerpad_max_install_names,-undefined,dynamic_lookup,-install_name,$(SHARED_LIBNAME_VERSION)
  else
    ifeq ($(BUILD_MINGW32),yes)
      SHARED_LIBNAME         = $(LIBNAME)-$(shell echo $(VERSION) | cut -f1 -d.).dll
      SHARED_LIBNAME_VERSION = $(SHARED_LIBNAME)
      SHARED_LIBNAME_MAJOR   = $(SHARED_LIBNAME)
      SHARED_LIBNAME_FLAGS   = -shared -Wl,--out-implib=$(LIBNAME).dll.a -Wl,--export-all-symbols -Wl,--enable-auto-import
    endif
  endif
endif

SRCS = \
	player.c \
	player_internal.c \
	mrl.c \
	mrl_internal.c \
	playlist.c \
	logs.c \
	fifo_queue.c \
	fs_utils.c \
	parse_utils.c \
	event.c \
	event_handler.c \
	supervisor.c \
	wrapper_dummy.c

EXTRADIST = \
	event.h \
	event_handler.h \
	fifo_queue.h \
	fs_utils.h \
	logs.h \
	parse_utils.h \
	player.h \
	player_internals.h \
	playlist.h \
	supervisor.h \
	wrapper_dummy.h \
	wrapper_gstreamer.h \
	wrapper_mplayer.h \
	wrapper_vlc.h \
	wrapper_xine.h \
	x11_common.h \

SRCS-$(X11)			+= x11_common.c
SRCS-$(WRAPPER_MPLAYER)		+= wrapper_mplayer.c
SRCS-$(WRAPPER_VLC)		+= wrapper_vlc.c
SRCS-$(WRAPPER_XINE)		+= wrapper_xine.c
SRCS-$(WRAPPER_GSTREAMER)	+= wrapper_gstreamer.c

SRCS += $(SRCS-yes)

OBJS = $(SRCS:.c=.o)

.SUFFIXES: .c .o

all: depend $(BUILD_RULES)

.c.o:
	$(CC) -c $(OPTFLAGS) $(CFLAGS) $(CFG_CPPFLAGS) $(CPPFLAGS) -o $@ $<

lib_static: $(STATIC_LIBNAME)

lib_shared: $(SHARED_LIBNAME)

$(STATIC_LIBNAME): $(OBJS)
	$(AR) r $(STATIC_LIBNAME) $(OBJS)
	$(RANLIB) $(STATIC_LIBNAME)

$(SHARED_LIBNAME): $(OBJS)
	$(CC) $(SHARED_LIBNAME_FLAGS) \
	  $(OBJS) $(CFG_LDFLAGS) $(EXTRALIBS) $(LDFLAGS) -o $(SHARED_LIBNAME_VERSION)
	if [ $(BUILD_MINGW32) = no ]; then \
	  $(LN) -sf $(SHARED_LIBNAME_VERSION) $(SHARED_LIBNAME_MAJOR); \
	  $(LN) -sf $(SHARED_LIBNAME_MAJOR) $(SHARED_LIBNAME); \
	fi

clean:
	rm -f *.o *.a *.so* *.dll
	rm -f .depend

install: $(BUILD_RULES)
	$(INSTALL) -d $(libdir)
	[ $(BUILD_STATIC) = yes ] && $(INSTALL) -c $(STATIC_LIBNAME) $(libdir); \
	if [ $(BUILD_SHARED) = yes ]; then \
	  if [ $(BUILD_MINGW32) = no ]; then \
	    $(INSTALL) -c $(SHARED_LIBNAME_VERSION) $(libdir); \
	    $(LN) -sf $(SHARED_LIBNAME_VERSION) $(libdir)/$(SHARED_LIBNAME_MAJOR); \
	    $(LN) -sf $(SHARED_LIBNAME_MAJOR) $(libdir)/$(SHARED_LIBNAME); \
	  else \
	    $(INSTALL) -c $(SHARED_LIBNAME_VERSION) $(bindir); \
	    $(INSTALL) -c $(LIBNAME).dll.a $(libdir); \
	  fi \
	fi
	$(INSTALL) -d $(includedir)
	$(INSTALL) -c -m 644 player.h $(includedir)

uninstall:
	if [ $(BUILD_MINGW32) = yes ]; then \
	  rm -f $(bindir)/$(SHARED_LIBNAME); \
	  rm -f $(libdir)/$(LIBNAME).dll.a; \
	fi
	rm -f $(libdir)/$(STATIC_LIBNAME)
	rm -f $(libdir)/$(SHARED_LIBNAME)*
	rm -f $(includedir)/player.h

depend:
	$(CC) -MM $(CFLAGS) $(CFG_CPPFLAGS) $(CPPFLAGS) $(SRCS) 1>.depend

.PHONY: clean depend
.PHONY: uninstall

dist-all:
	cp $(EXTRADIST) $(SRCS) $(SRCS-no) Makefile $(DIST)

.PHONY: dist-all

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== bindings/python/Makefile ===
ifeq (,$(wildcard ../../config.mak))
$(error "../../config.mak is not present, run configure !")
endif
include ../../config.mak

EXTRADIST = \
	mrl.c \
	player.c \
	player_module.c \
	pyplayer.h \
	player-example.py \
	setup.py \

all: binding

binding:
ifeq ($(BINDING_PYTHON),yes)
	PKG_CONFIG_PATH="../../" python setup.py build
endif

clean:
ifeq ($(BINDING_PYTHON),yes)
	python setup.py clean && rm -rf build
endif

install:
ifeq ($(BINDING_PYTHON),yes)
	python setup.py install --prefix=$(DESTDIR)$(PREFIX)
endif

dist-all:
	cp $(EXTRADIST) Makefile $(DIST)

.PHONY: binding clean dist-all install

=== debian/changelog ===
libplayer (2.0.1-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: fix incorrect libxine dependencies (Closes: #724759).
    thanks to Darren Salt <bugspam@moreofthesa.me.uk>.
  * debian/rules
    - fix FTBFS on armhf "recompile with -fPIC" (Closes: #656504).
      thanks to peter green <plugwash@p10link.net>.
    - fix build with -fPIC (Closes: #687613).
      thanks to Konstantinos Margaritis <konstantinos.margaritis@freevec.org>.
    - fix FTBFS: config.mak is not present (Closes: #718152).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 09 Oct 2013 15:06:01 +0900

libplayer (2.0.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * FTBFS: wrapper_gstreamer.c:33:21: fatal error: gst/gst.h:
    No such file or directory (Closes: #625196)
    - debian/patches/fix-ftbfs-wrapper_gstreamer.diff 
      thanks to Matthias Klose <doko@ubuntu.com>.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 09 Jan 2012 13:37:57 +0900

libplayer (2.0.1-2) unstable; urgency=low

  * Resolve file conflict between libplayer2-dbg and libplayer1-dbg
  * Correct Build-Depends against libxcb1-dev (Closes: #599163)

 -- Davide Cavalca <davide@geexbox.org>  Tue, 05 Oct 2010 10:58:48 +0200

libplayer (2.0.1-1) unstable; urgency=low

  * New upstream release:
    - drop Debian package patches as they are now upstream
    - drop Debian manpages for libplayer-test* utils as they are now upstream
    - soname bump: libplayer1 -> libplayer2
    - build GStreamer and VLC wrappers
    - Build-Depend on libxcb-dev instead of libX11-dev
    - dropping libplayer-regtest, it has been removed upstream
  * Rename package libplayer1-bin to libplayer-bin
  * Update Standards-Version to 3.9.1 (no changes)
  * Drop Vcs-Pkg fields from control file
  * Update copyright dates
  * Add debian/upstream-metadata.yaml

 -- Davide Cavalca <davide@geexbox.org>  Mon, 04 Oct 2010 09:18:56 +0200

=== debian/control ===
Source: libplayer
Priority: extra
Maintainer: Davide Cavalca <davide@geexbox.org>
Build-Depends: debhelper (>= 7.0.50), pkg-config, libxcb1-dev, libxine-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, libvlc-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.1
Section: libs
Homepage: http://libplayer.geexbox.org/

Package: libplayer-dev
Section: libdevel
Architecture: any
Depends: libplayer2 (= ${binary:Version}), libxine-dev, libxcb1-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, libvlc-dev, ${misc:Depends}
Suggests: libplayer2-dbg (= ${binary:Version}), libplayer-doc (= ${binary:Version})
Description: a multimedia A/V abstraction layer API -- development files
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.
 .
 This package contains headers and libraries for developing software
 that makes use of libplayer.

Package: libplayer-bin
Section: misc
Architecture: any
Depends: libplayer2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libplayer1-bin
Replaces: libplayer1-bin
Conflicts: libplayer1-bin
Description: test utilities for libplayer
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.
 .
 This package contains some test utilities to execise libplayer capabilities.

Package: libplayer2
Architecture: any
Recommends: mplayer
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine-x:Depends}, gstreamer0.10-plugins-base, gstreamer0.10-x
Suggests: libplayer-bin (= ${binary:Version})
Description: a multimedia A/V abstraction layer API
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.

Package: libplayer2-dbg
Architecture: any
Section: debug
Depends: libplayer2 (= ${binary:Version}), ${misc:Depends}
Provides: libplayer1-dbg
Conflicts: libplayer1-dbg
Replaces: libplayer1-dbg
Description: debugging symbols for libplayer2
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.
 .
 This package contains the debugging symbols for libplayer2.

Package: libplayer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libplayer-dev
Description: developer documentation for libplayer
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.
 .
 This package contains developer documentation for libplayer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS += -fPIC

CONFIGURE_OPTS = --prefix=/usr --disable-strip --enable-doc --enable-mplayer --enable-xine --enable-gstreamer --enable-vlc

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CONFIGURE_OPTS += --disable-optimize
else
        CONFIGURE_OPTS += 
endif

%:
	dh $@

override_dh_auto_configure:
	CFLAGS=$(CFLAGS) ./configure $(CONFIGURE_OPTS) 

override_dh_strip:
	dh_strip --dbg-package=libplayer2-dbg

override_dh_auto_clean:
	[ -e config.mak ] && dh_auto_clean || true

.PHONY: override_dh_auto_configure override_dh_strip

=== debian/watch ===
version=3
http://libplayer.geexbox.org/releases/libplayer-(.*)\.tar\.bz2
